#! /usr/bin/env sh
set -e
echo "" >> runmany.archive
touch runmany.log
cat runmany.log >> runmany.archive 2> /dev/null
echo "" > runmany.log
endTime=$1
echo "continue until ${endTime}"
top="$(pwd)"
for n in 1 2
do
  for logu in -1
  do
    cd "${top}"
    new="freeCylinderFlow-N${n}-u${logu}"
    if test -d "${new}"
    then
      echo "continue ${new}" >> runmany.log
      cd "${new}"
      sed -i 's#^end_Time .*;$#end_Time '"${endTime}"';#' parameters
      ./continue.sh
    else
      echo "could not continue ${new} because nonexistent"
    fi
  done
done

