#! /usr/bin/env sh
set -e
foamListTimes -rm
# f = force = do not error on nonexisting files
rm -rf postProcessing
rm -rf '0/grad(T)'
rm -rf '0/mag(grad(T))'

decomposePar -force
foamJob -wait -p buoyantBoussinesqPimpleFoam
reconstructPar

# Calculate the average of the magnitude of the temperature gradient
postProcess -func 'grad(T)'
postProcess -func 'mag(grad(T))'
postProcess -func 'patchAverage(name=cylinder,mag(grad(T)))'
