#! /usr/bin/env sh
set -e
rm -f freeCylinderFlow/scripts.log
echo "" >> runmany.archive
touch runmany.log
cat runmany.log >> runmany.archive 2> /dev/null
echo "" > runmany.log
top="$(pwd)"
for n in 1 #2 4
do
  for logu in 0 #-1 # 1 -2
  do
    cd "${top}"
    new="freeCylinderFlow-N${n}-u${logu}"
    if test -d "${new}"
    then
      echo "skip ${new}" >> runmany.log
      continue  # done in previous run, hopefully
    fi
    echo "copy and run ${new}" >> runmany.log
    cp -r freeCylinderFlow ${new}
    cd "${new}"
    sed -i 's#^inVelocity .*;$#inVelocity 5e'"${logu}"';#' parameters
    grep --quiet "5e${logu}" parameters  # should crash script if grep does not find it
    ./runNewMesh.sh $n
  done
done
